## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanEncodingPropertyCache Class Reference

Collaboration diagram for XalanEncodingPropertyCache:

[legend]
List of all members.

## Public Member Functions

- XalanEncodingPropertyCache (MemoryManagerType &theManager, size_t theCacheSize=XalanDOMChar(~0), const XalanOutputTranscoder *theTranscoder=0)
- ~XalanEncodingPropertyCache ()
- bool canEncodeCharacter (unsigned int theChar) const
- const XalanOutputTranscoder * getTranscoder () const
- void setTranscoder (const XalanOutputTranscoder *theTranscoder)

## Constructor & Destructor Documentation

XalanEncodingPropertyCache::XalanEncodingPropertyCache | ( | MemoryManagerType & | theManager,
|  | size_t | theCacheSize = XalanDOMChar(~0),
|  | const XalanOutputTranscoder * | theTranscoder = 0
| ) |

XalanEncodingPropertyCache::~XalanEncodingPropertyCache | ( |  | ) |

## Member Function Documentation

bool XalanEncodingPropertyCache::canEncodeCharacter | ( | unsigned int | theChar | ) | const

const XalanOutputTranscoder* XalanEncodingPropertyCache::getTranscoder | ( |  | ) | const

void XalanEncodingPropertyCache::setTranscoder | ( | const XalanOutputTranscoder * | theTranscoder | ) |

The documentation for this class was generated from the following file:

- XalanEncodingPropertyCache.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.